using System;
using System.Collections.Generic;

namespace SceneNPCEdit
{
	public class NPCEdit : WfScreenManager
	{
		public void Awake()
		{
			this.adv_kag_ = GameMain.Instance.ScriptMgr.adv_kag;
		}

		public override void Start()
		{
			base.Start();
			this.move_screen_ = base.children_dic["Move"].GetComponent<WfScreenMoveChildren>();
			string edit_label = string.Empty;
			string empty = string.Empty;
			string empty2 = string.Empty;
			if (this.adv_kag_.tag_backup != null && 0 < this.adv_kag_.tag_backup.Count && this.adv_kag_.tag_backup["name"] == "SceneNPCEdit")
			{
				NDebug.Assert(this.adv_kag_.tag_backup.ContainsKey("label"), "SceneCallにlabelの設定がされていませんでした");
				NDebug.Assert(this.adv_kag_.tag_backup.ContainsKey("edit_label"), "SceneCallにedit_labelの設定がされていませんでした");
				edit_label = this.adv_kag_.tag_backup["edit_label"];
				this.move_screen_.SetNextLabel(this.adv_kag_.tag_backup["label"]);
			}
			NPCEditMain component = base.children_dic["Main"].GetComponent<NPCEditMain>();
			component.SetScreenManager(this, edit_label, empty, empty2);
			this.CallScreen("Main");
		}

		protected override void SettingChildrenList(Dictionary<string, WfScreenChildren> children_dic)
		{
			string[] array = new string[]
			{
				"Main",
				"Move"
			};
			for (int i = 0; i < array.Length; i++)
			{
				children_dic.Add(array[i], UTY.GetChildObject(base.gameObject, array[i], false).GetComponent<WfScreenChildren>());
			}
		}

		public WfScreenMoveChildren move_screen
		{
			get
			{
				return this.move_screen_;
			}
		}

		private WfScreenMoveChildren move_screen_;

		private ADVKagManager adv_kag_;
	}
}
